
Orchestrator - Feature #43684

Make use of progress items for OSD deployment

01/20/2020 01:58 PM - Sebastian Wagner

Status: New % Done: 0%

Priority: High   

Assignee:    

Category: cephadm   

Target version:    

Source:  Reviewed:  

Tags: ux Affected Versions:  

Backport:  Pull request ID:  

Description

progress is merged. Now we have to make use of it

Related issues:

Related to Orchestrator - Tasks #45143: cephadm: scheduler improvements Closed

Related to Orchestrator - Documentation #45858: `ceph orch status` doesn't sh... Resolved

History

#1 - 01/24/2020 03:08 PM - Sebastian Wagner

- Status changed from New to In Progress

- Assignee set to Sebastian Wagner

#2 - 02/12/2020 05:19 PM - Sebastian Wagner

- Status changed from In Progress to New

#3 - 04/19/2020 09:35 PM - Sebastian Wagner

- Related to Tasks #45143: cephadm: scheduler improvements added

#4 - 05/14/2020 01:52 PM - Sebastian Wagner

- Target version deleted (v15.0.0)

- Tags set to ux

#5 - 06/05/2020 09:47 AM - Sebastian Wagner

- Related to Documentation #45858: `ceph orch status` doesn't show in progress actions added

#6 - 07/06/2021 03:24 PM - Sebastian Wagner

- Subject changed from Make use of progress items to Make use of progress items for OSD deployment

#7 - 07/06/2021 03:48 PM - Sebastian Wagner

- Assignee deleted (Sebastian Wagner)

#8 - 11/26/2021 11:18 AM - Sebastian Wagner

- Priority changed from Normal to High

#9 - 12/08/2021 11:36 AM - Sebastian Wagner

OSD deployment is a little fire and forget. There is no indication of progress, nothing in the service events to indicate the hosts or device counts

affected, and nothing that says complete. Would it make sense to show the daemon output for the service when listing the events for the service - so

you see service deployed and action info?
ceph orch ps  --service_name=osd.rack01 --format=json | jq '.[] | .service_name + " " + .events[]'
